Health API
Health endpoints exposed by the Devotel CPaaS API Base path:/api
Endpoint count: 2
List health
GET /api/healthcURL
curl "https://api.orbit.devotel.io/api/health" \
-H "X-API-Key: dv_live_sk_your_key_here"
Node.js
const res = await fetch('https://api.orbit.devotel.io/api/health', {
method: 'GET',
headers: {
'X-API-Key': process.env.ORBIT_API_KEY!
}
});
const data = await res.json();
Python
import os, requests
headers = {"X-API-Key": os.environ["ORBIT_API_KEY"]}
r = requests.get("https://api.orbit.devotel.io/api/health", headers=headers)
print(r.json())
{
"data": {},
"meta": {
"request_id": "req_01HZQX4E7JQ4M2E2H2DM9XE5FJ",
"timestamp": "2026-08-26T12:00:00.000Z"
}
}
List health
GET /api/v1/healthcURL
curl -X GET "https://api.orbit.devotel.io/api/v1/health" \
-H "X-API-Key: dv_live_sk_your_key_here"
Node.js
import { Orbit } from '@devotel-orbit/node'
const orbit = new Orbit({
apiKey: process.env.ORBIT_API_KEY!,
})
const res = await fetch('https://api.orbit.devotel.io/api/v1/health', {
method: 'GET',
headers: {
'X-API-Key': process.env.ORBIT_API_KEY!,
},
})
console.log(await res.json())
Python
import os, requests
headers = {"X-API-Key": os.environ["ORBIT_API_KEY"]}
r = requests.get("https://api.orbit.devotel.io/api/v1/health", headers=headers)
print(r.json())
Go
package main
import (
"bytes"
"net/http"
"os"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.orbit.devotel.io/api/v1/health", nil)
req.Header.Set("X-API-Key", os.Getenv("ORBIT_API_KEY"))
http.DefaultClient.Do(req)
}
Ruby
require 'net/http'
require 'json'
uri = URI('https://api.orbit.devotel.io/api/v1/health')
req = Net::HTTP::Get.new(uri)
req['X-API-Key'] = ENV['ORBIT_API_KEY']
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |h| h.request(req) }
puts res.body
PHP
<?php
$ch = curl_init('https://api.orbit.devotel.io/api/v1/health');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'X-API-Key: ' . getenv('ORBIT_API_KEY'),
]);
echo curl_exec($ch);
{
"data": {},
"meta": {
"request_id": "req_01HZQX4E7JQ4M2E2H2DM9XE5FJ",
"timestamp": "2026-08-26T12:00:00.000Z"
}
}